#include "lightinterface.h"
#include "light.h"
#include "engineinterface.h"
#include "structures.h"

namespace M3D
{
#define GET_LIGHT _engine_->_get_light(_id_)
const Color4f& LightInterface::get_color( ) const
{
	return GET_LIGHT->get_color();
}

const Coords & LightInterface::get_location( ) const
{
	return GET_LIGHT->get_location();
}

void LightInterface::set_location ( const Coords &location )
{
	GET_LIGHT->set_location ( location );
}

void LightInterface::set_color ( const Color4f &color )
{
	GET_LIGHT->set_color ( color );
}
}
